/*
 * EliasDB
 *
 * Copyright 2016 Matthias Ladkau. All rights reserved.
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */

package dbfunc

import (
	"testing"

	"devt.de/krotik/eliasdb/graph"
)

func TestRaiseGraphEventHandled(t *testing.T) {

	sn := &RaiseGraphEventHandledFunc{}

	if _, err := sn.DocString(); err != nil {
		t.Error(err)
		return
	}

	if _, err := sn.Run("", nil, nil, 0, []interface{}{}); err != graph.ErrEventHandled {
		t.Error("Unexpected result:", err)
		return
	}
}
